## XiMpLe_0.03-20.tar.gz

=== DESCRIPTION ===
Package: XiMpLe
Type: Package
Title: A simple XML tree parser and generator
Author: m.eik michalke <meik.michalke@hhu.de>
Maintainer: m.eik michalke <meik.michalke@hhu.de>
Depends: R (>= 2.9.0),methods
Suggests: testthat
Enhances: rkward
Description: This package provides a simple XML tree parser/generator.
        It includes functions to read XML files into R objects, get
        information out of and into nodes, and write R objects back to
        XML code.  It's not as powerful as the XML package and doesn't
        aim to be, but for simple XML handling it could be useful. It
        was originally programmed for RKWard.
License: GPL (>= 3)
Encoding: UTF-8
LazyLoad: yes
URL: http://reaktanz.de/?c=hacking&s=XiMpLe
Authors@R: c(person(given="Meik", family="Michalke",
        email="meik.michalke@hhu.de", role=c("aut", "cre")))
Version: 0.03-20
Date: 2013-04-08
Collate: 'XiMpLe-internal.R' 'XiMpLe.node-class.R' 'XiMpLe.doc-class.R'
        'node.R' 'parseXMLTree.R' 'pasteXML-methods.R' 'pasteXMLTag.R'
        'show-methods.R' 'XiMpLe-internal.roxy.all.R'
        'XiMpLe-package.R' 'XMLNode.R' 'XMLTree.R' 'zzz_is_get_utils.R'
Packaged: 2013-04-07 22:21:39 UTC; m
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-04-08 14:31:21

=== debian/changelog ===
r-other-reaktanz-ximple (0.03-20-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Tue, 26 Feb 2013 20:48:59 +0000

r-other-reaktanz-ximple (0.03-19-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Tue, 19 Feb 2013 23:21:06 +0000

r-other-reaktanz-ximple (0.03-18-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Mon, 11 Feb 2013 22:02:57 +0000

r-other-reaktanz-ximple (0.03-17-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Mon, 04 Feb 2013 20:52:15 +0000

r-other-reaktanz-ximple (0.03-16-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Tue, 30 Oct 2012 18:56:43 +0000

r-other-reaktanz-ximple (0.03-15-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Fri, 26 Oct 2012 22:48:36 +0000

r-other-reaktanz-ximple (0.03-14-1) unstable; urgency=low

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Sun, 29 Apr 2012 13:31:22 +0000

r-other-reaktanz-ximple (0.03-13-1) unstable; urgency=low

  * initial debian package

 -- m.eik michalke <meik.michalke@hhu.de>  Tue, 17 Apr 2012 22:22:33 +0000

r-other-reaktanz-ximple (0.03-12-1) unstable; urgency=low

  * initial debian package

 -- m.eik michalke <meik.michalke@hhu.de>  Sun, 15 Apr 2012 22:34:28 +0000

=== debian/control ===
Source: r-other-rkward-ximple
Section: math
Priority: optional
Maintainer: m.eik michalke <meik.michalke@hhu.de>
Build-Depends-Indep: debhelper (>> 4.1.0), r-base-dev (>= 2.9.0), cdbs
Standards-Version: 3.9.3.1
Homepage: http://reaktanz.de/?c=hacking&s=XiMpLe

Package: r-other-rkward-ximple
Architecture: all
Section: math
Depends: r-base (>= 2.15.0)
Description: GNU R package: This package provides a simple XML tree parser/generator. It includes functions to read XML files into R
 objects, get information out of and into nodes, and write R objects back to XML code.  It's not as powerful as the XML package and
 doesn't aim to be, but for simple XML handling it could be useful. It was originally programmed for RKWard.
Homepage: http://reaktanz.de/?c=hacking&s=XiMpLe

=== debian/rules ===
#!/usr/bin/make -f
#								-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-other-rkward-ximple package
# Copyright 2013 by m.eik michalke <meik.michalke@hhu.de>

debRreposname := other-rkward

include /usr/share/R/debian/r-cran.mk

# Require a number equal or superior than the R version the package was built with.
install/$(package)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/$(package).substvars
